> For the complete documentation index, see [llms.txt](https://docs.hotwax.co/documents/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hotwax.co/documents/integrate-with-hotwax/components/admin/work-efforts.md).

# Work Efforts

Work efforts with party assignments and person details

## GET /workEfforts

> list WorkEffort (master: default)

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"workEfforts","description":"Work efforts with party assignments and person details"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.apache.ofbiz.workeffort.workeffort.WorkEffort.default":{"title":"Work Effort (Master: default)","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.workeffort.workeffort.WorkEffort"},"workEffortId":{"type":"string"},"workEffortTypeId":{"type":"string"},"statusId":{"type":"string"},"lastStatusUpdate":{"type":"string","format":"date-time"},"workEffortPurposeTypeId":{"type":"string"},"workEffortParentId":{"type":"string"},"scopeEnumId":{"type":"string"},"priority":{"type":"number","format":"int64"},"percentComplete":{"type":"number","format":"int64"},"workEffortName":{"type":"string"},"showAsEnumId":{"type":"string"},"sendNotificationEmail":{"type":"string"},"description":{"type":"string"},"locationDesc":{"type":"string"},"estimatedStartDate":{"type":"string","format":"date-time"},"estimatedCompletionDate":{"type":"string","format":"date-time"},"actualStartDate":{"type":"string","format":"date-time"},"actualCompletionDate":{"type":"string","format":"date-time"},"estimatedMilliSeconds":{"type":"number","format":"double"},"estimatedSetupMillis":{"type":"number","format":"double"},"estimateCalcMethod":{"type":"string"},"actualMilliSeconds":{"type":"number","format":"double"},"actualSetupMillis":{"type":"number","format":"double"},"totalMilliSecondsAllowed":{"type":"number","format":"double"},"totalMoneyAllowed":{"type":"number"},"moneyUomId":{"type":"string"},"specialTerms":{"type":"string"},"timeTransparency":{"type":"number","format":"int64"},"universalId":{"type":"string"},"sourceReferenceId":{"type":"string"},"fixedAssetId":{"type":"string"},"facilityId":{"type":"string"},"infoUrl":{"type":"string"},"recurrenceInfoId":{"type":"string"},"tempExprId":{"type":"string"},"runtimeDataId":{"type":"string"},"noteId":{"type":"string"},"serviceLoaderName":{"type":"string"},"quantityToProduce":{"type":"number"},"quantityProduced":{"type":"number"},"quantityRejected":{"type":"number"},"reservPersons":{"type":"number"},"reserv2ndPPPerc":{"type":"number"},"reservNthPPPerc":{"type":"number"},"accommodationMapId":{"type":"string"},"accommodationSpotId":{"type":"string"},"revisionNumber":{"type":"number","format":"int64"},"createdDate":{"type":"string","format":"date-time"},"createdByUserLogin":{"type":"string"},"createdByUserId":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"lastModifiedByUserLogin":{"type":"string"},"dueDate":{"type":"string","format":"date-time"},"notes":{"type":"string"},"externalId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"},"partyAssignments":{"type":"array","items":{"$ref":"#/components/schemas/org.apache.ofbiz.workeffort.workeffort.WorkEffortPartyAssignment"}}}},"org.apache.ofbiz.workeffort.workeffort.WorkEffortPartyAssignment":{"title":"Work Effort Party Assignment","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.workeffort.workeffort.WorkEffortPartyAssignment"},"workEffortId":{"type":"string"},"partyId":{"type":"string"},"roleTypeId":{"type":"string"},"fromDate":{"type":"string","format":"date-time"},"thruDate":{"type":"string","format":"date-time"},"assignedByUserId":{"type":"string"},"comments":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/workEfforts":{"get":{"tags":["workEfforts"],"summary":"list WorkEffort (master: default)","description":null,"parameters":[{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"workEffortId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"workEffortTypeId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"statusId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"lastStatusUpdate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"workEffortPurposeTypeId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"workEffortParentId","in":"query","required":false,"description":"The primary parent (or the like); it should be one of the parent WorkEfforts already setup in WorkEffortAssoc"},{"schema":{"type":"string","format":""},"name":"scopeEnumId","in":"query","required":false,"description":null},{"schema":{"type":"number","format":"int64"},"name":"priority","in":"query","required":false,"description":null},{"schema":{"type":"number","format":"int64"},"name":"percentComplete","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"workEffortName","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"showAsEnumId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"sendNotificationEmail","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"description","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"locationDesc","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"estimatedStartDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"estimatedCompletionDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"actualStartDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"actualCompletionDate","in":"query","required":false,"description":null},{"schema":{"type":"number","format":"double"},"name":"estimatedMilliSeconds","in":"query","required":false,"description":null},{"schema":{"type":"number","format":"double"},"name":"estimatedSetupMillis","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"estimateCalcMethod","in":"query","required":false,"description":null},{"schema":{"type":"number","format":"double"},"name":"actualMilliSeconds","in":"query","required":false,"description":null},{"schema":{"type":"number","format":"double"},"name":"actualSetupMillis","in":"query","required":false,"description":null},{"schema":{"type":"number","format":"double"},"name":"totalMilliSecondsAllowed","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"totalMoneyAllowed","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"moneyUomId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"specialTerms","in":"query","required":false,"description":null},{"schema":{"type":"number","format":"int64"},"name":"timeTransparency","in":"query","required":false,"description":"Deprecated - use the availabilityStatusId field in the assignment entities instead"},{"schema":{"type":"string","format":""},"name":"universalId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"sourceReferenceId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"fixedAssetId","in":"query","required":false,"description":"Deprecated - use the WorkEffortFixedAssetAssign entity instead"},{"schema":{"type":"string","format":""},"name":"facilityId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"infoUrl","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"recurrenceInfoId","in":"query","required":false,"description":"Deprecated - use the tempExprId field instead"},{"schema":{"type":"string","format":""},"name":"tempExprId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"runtimeDataId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"noteId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"serviceLoaderName","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"quantityToProduce","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"quantityProduced","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"quantityRejected","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"reservPersons","in":"query","required":false,"description":"the number of persons renting the attached asset"},{"schema":{"type":"number","format":""},"name":"reserv2ndPPPerc","in":"query","required":false,"description":"reservationSecondPersonPricePercentage: percentage of the end price for the 2nd person renting this asset connected to the workEffort"},{"schema":{"type":"number","format":""},"name":"reservNthPPPerc","in":"query","required":false,"description":"reservationNthPersonPricePercentage: percentage of the end price for the Nth (2+) person renting this asset connected to the workEffort"},{"schema":{"type":"string","format":""},"name":"accommodationMapId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"accommodationSpotId","in":"query","required":false,"description":null},{"schema":{"type":"number","format":"int64"},"name":"revisionNumber","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"createdDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"createdByUserLogin","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"createdByUserId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"lastModifiedDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"lastModifiedByUserLogin","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"dueDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"notes","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"externalId","in":"query","required":false,"description":"External identifier for this WorkEffort"},{"schema":{"type":"string","format":"date-time"},"name":"lastUpdatedStamp","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"createdStamp","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/org.apache.ofbiz.workeffort.workeffort.WorkEffort.default"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## PUT /workEfforts/{workEffortId}

> update WorkEffort

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"workEfforts","description":"Work efforts with party assignments and person details"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.apache.ofbiz.workeffort.workeffort.WorkEffort.PK":{"title":"Work Effort","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.workeffort.workeffort.WorkEffort.PK"},"workEffortId":{"type":"string"}}},"org.apache.ofbiz.workeffort.workeffort.WorkEffort":{"title":"Work Effort","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.workeffort.workeffort.WorkEffort"},"workEffortId":{"type":"string"},"workEffortTypeId":{"type":"string"},"statusId":{"type":"string"},"lastStatusUpdate":{"type":"string","format":"date-time"},"workEffortPurposeTypeId":{"type":"string"},"workEffortParentId":{"type":"string"},"scopeEnumId":{"type":"string"},"priority":{"type":"number","format":"int64"},"percentComplete":{"type":"number","format":"int64"},"workEffortName":{"type":"string"},"showAsEnumId":{"type":"string"},"sendNotificationEmail":{"type":"string"},"description":{"type":"string"},"locationDesc":{"type":"string"},"estimatedStartDate":{"type":"string","format":"date-time"},"estimatedCompletionDate":{"type":"string","format":"date-time"},"actualStartDate":{"type":"string","format":"date-time"},"actualCompletionDate":{"type":"string","format":"date-time"},"estimatedMilliSeconds":{"type":"number","format":"double"},"estimatedSetupMillis":{"type":"number","format":"double"},"estimateCalcMethod":{"type":"string"},"actualMilliSeconds":{"type":"number","format":"double"},"actualSetupMillis":{"type":"number","format":"double"},"totalMilliSecondsAllowed":{"type":"number","format":"double"},"totalMoneyAllowed":{"type":"number"},"moneyUomId":{"type":"string"},"specialTerms":{"type":"string"},"timeTransparency":{"type":"number","format":"int64"},"universalId":{"type":"string"},"sourceReferenceId":{"type":"string"},"fixedAssetId":{"type":"string"},"facilityId":{"type":"string"},"infoUrl":{"type":"string"},"recurrenceInfoId":{"type":"string"},"tempExprId":{"type":"string"},"runtimeDataId":{"type":"string"},"noteId":{"type":"string"},"serviceLoaderName":{"type":"string"},"quantityToProduce":{"type":"number"},"quantityProduced":{"type":"number"},"quantityRejected":{"type":"number"},"reservPersons":{"type":"number"},"reserv2ndPPPerc":{"type":"number"},"reservNthPPPerc":{"type":"number"},"accommodationMapId":{"type":"string"},"accommodationSpotId":{"type":"string"},"revisionNumber":{"type":"number","format":"int64"},"createdDate":{"type":"string","format":"date-time"},"createdByUserLogin":{"type":"string"},"createdByUserId":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"lastModifiedByUserLogin":{"type":"string"},"dueDate":{"type":"string","format":"date-time"},"notes":{"type":"string"},"externalId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/workEfforts/{workEffortId}":{"put":{"tags":["workEfforts"],"summary":"update WorkEffort","description":null,"parameters":[{"schema":{"type":"string"},"name":"workEffortId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.workeffort.workeffort.WorkEffort.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.workeffort.workeffort.WorkEffort"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.workeffort.workeffort.WorkEffort"}}},"required":false}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hotwax.co/documents/integrate-with-hotwax/components/admin/work-efforts.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
